Get Result
curl --request GET \
--url https://api.example.com/api/scans/{scan_id}/results/{result_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/scans/{scan_id}/results/{result_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/scans/{scan_id}/results/{result_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"scan_id": "<string>",
"filepath": "<string>",
"given_label": "<string>",
"predicted_label": "<string>",
"flags": {},
"extra": {},
"scan_type": "<string>",
"vulnerability_type": "<string>",
"severity": "<string>",
"status": "<string>",
"score": 123,
"dataset_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"mislabel_performed": true,
"poison_performed": true,
"volume": {
"case_id": "<string>",
"flagged_count": 123,
"flagged_slices": [
{
"result_id": "<string>",
"filepath": "<string>",
"slice_index": 123,
"score": 123,
"given_label": "<string>",
"predicted_label": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
],
"primary_result_id": "<string>",
"result_ids": [
"<string>"
],
"slice_count": 123,
"image_path": "<string>",
"mask_path": "<string>",
"image_url": "<string>",
"mask_url": "<string>",
"organ_segments": [
{
"label": "<string>",
"start": 123,
"end": 123,
"color": "<string>",
"label_value": 123
}
],
"highlight_segments": [
{
"label": "<string>",
"start": 123,
"end": 123,
"color": "<string>",
"label_value": 123
}
],
"case_bounds": {},
"label_value_map": {},
"metadata": {}
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}api
Get Result
GET
/
api
/
scans
/
{scan_id}
/
results
/
{result_id}
Get Result
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Query Parameters
Available options:
auto, slices, volume Cookies
Response
Successful Response
Show child attributes
Show child attributes
⌘I

